HDF: java/src/jni/hdfgrImp.h File Reference

Please, help us to better serve our user community by answering the following short survey: https://www.hdfgroup.org/website-survey/

| HDF 4.4.0 API Reference |

Loading...
Searching...
No Matches
hdfgrImp.h File Reference
`#include <jni.h>`

## Functions
JNIEXPORT jlong JNICALL | Java_hdf_hdflib_HDFLibrary_GRstart (JNIEnv *env, jclass clss, jlong file_id)
JNIEXPORT jboolean JNICALL | Java_hdf_hdflib_HDFLibrary_GRend (JNIEnv *env, jclass clss, jlong gr_id)
JNIEXPORT jboolean JNICALL | Java_hdf_hdflib_HDFLibrary_GRendaccess (JNIEnv *env, jclass clss, jlong gr_id)
JNIEXPORT jboolean JNICALL | Java_hdf_hdflib_HDFLibrary_GRfileinfo (JNIEnv *env, jclass clss, jlong gr_id, jintArray argv)
JNIEXPORT jlong JNICALL | Java_hdf_hdflib_HDFLibrary_GRselect (JNIEnv *env, jclass clss, jlong gr_id, jint index)
JNIEXPORT jint JNICALL | Java_hdf_hdflib_HDFLibrary_GRnametoindex (JNIEnv *env, jclass clss, jlong gr_id, jstring gr_name)
JNIEXPORT jboolean JNICALL | Java_hdf_hdflib_HDFLibrary_GRgetchunkinfo (JNIEnv *env, jclass clss, jlong grsid, jobject chunk_def, jintArray cflags)
JNIEXPORT jboolean JNICALL | Java_hdf_hdflib_HDFLibrary_GRgetiminfo (JNIEnv *env, jclass clss, jlong ri_id, jobjectArray gr_name, jintArray argv, jintArray dim_sizes)
JNIEXPORT jboolean JNICALL | Java_hdf_hdflib_HDFLibrary_GRreadimage (JNIEnv *env, jclass clss, jlong ri_id, jintArray start, jintArray stride, jintArray edge, jbyteArray data)
JNIEXPORT jshort JNICALL | Java_hdf_hdflib_HDFLibrary_GRidtoref (JNIEnv *env, jclass clss, jlong gr_id)
JNIEXPORT jint JNICALL | Java_hdf_hdflib_HDFLibrary_GRreftoindex (JNIEnv *env, jclass clss, jlong gr_id, jshort ref)
JNIEXPORT jboolean JNICALL | Java_hdf_hdflib_HDFLibrary_GRreqlutil (JNIEnv *env, jclass clss, jlong gr_id, jint interlace_mode)
JNIEXPORT jboolean JNICALL | Java_hdf_hdflib_HDFLibrary_GRreqimageil (JNIEnv *env, jclass clss, jlong gr_id, jint interlace_mode)
JNIEXPORT jlong JNICALL | Java_hdf_hdflib_HDFLibrary_GRgetlutid (JNIEnv *env, jclass clss, jlong gr_id, jint index)
JNIEXPORT jint JNICALL | Java_hdf_hdflib_HDFLibrary_GRgetnluts (JNIEnv *env, jclass clss, jlong gr_id)
JNIEXPORT jboolean JNICALL | Java_hdf_hdflib_HDFLibrary_GRgetlutinfo (JNIEnv *env, jclass clss, jlong ri_id, jintArray argv)
JNIEXPORT jboolean JNICALL | Java_hdf_hdflib_HDFLibrary_GRreadlut (JNIEnv *env, jclass clss, jlong pal_id, jbyteArray pal_data)
JNIEXPORT jboolean JNICALL | Java_hdf_hdflib_HDFLibrary_GRattrinfo (JNIEnv *env, jclass clss, jlong gr_id, jint attr_index, jobjectArray name, jintArray argv)
JNIEXPORT jboolean JNICALL | Java_hdf_hdflib_HDFLibrary_GRgetattr (JNIEnv *env, jclass clss, jlong gr_id, jint attr_index, jbyteArray values)
JNIEXPORT jint JNICALL | Java_hdf_hdflib_HDFLibrary_GRfindattr (JNIEnv *env, jclass clss, jlong gr_id, jstring attr_name)
JNIEXPORT jlong JNICALL | Java_hdf_hdflib_HDFLibrary_GRcreate (JNIEnv *env, jclass clss, jlong gr_id, jstring name, jint ncomp, jlong data_type, jint interlace_mode, jintArray dim_sizes)
JNIEXPORT jshort JNICALL | Java_hdf_hdflib_HDFLibrary_GRluttoref (JNIEnv *env, jclass clss, jlong pal_id)
JNIEXPORT jboolean JNICALL | Java_hdf_hdflib_HDFLibrary_GRsetattr__JLjava_lang_String_2JILjava_lang_String_2 (JNIEnv *env, jclass clss, jlong gr_id, jstring attr_name, jlong data_type, jint count, jstring values)
JNIEXPORT jboolean JNICALL | Java_hdf_hdflib_HDFLibrary_GRsetattr__JLjava_lang_String_2JI_3B (JNIEnv *env, jclass clss, jlong gr_id, jstring attr_name, jlong data_type, jint count, jbyteArray values)
JNIEXPORT jboolean JNICALL | Java_hdf_hdflib_HDFLibrary_GRsetcompress (JNIEnv *env, jclass clss, jlong ri_id, jint comp_type, jobject c_info)
JNIEXPORT jboolean JNICALL | Java_hdf_hdflib_HDFLibrary_GRgetcompress (JNIEnv *env, jclass clss, jlong ri_id, jobject c_info)
JNIEXPORT jboolean JNICALL | Java_hdf_hdflib_HDFLibrary_GRgetcompinfo (JNIEnv *env, jclass clss, jlong ri_id, jobject c_info)
JNIEXPORT jboolean JNICALL | Java_hdf_hdflib_HDFLibrary_GRsetchunk (JNIEnv *env, jclass clss, jlong sdsid, jobject chunk_def, jint flags)
JNIEXPORT jint JNICALL | Java_hdf_hdflib_HDFLibrary_GRsetchunkcache (JNIEnv *env, jclass clss, jlong sdsid, jint maxcache, jint flags)
JNIEXPORT jboolean JNICALL | Java_hdf_hdflib_HDFLibrary_GRsetexternalfile (JNIEnv *env, jclass clss, jlong ri_id, jstring filename, jint offset)
JNIEXPORT jboolean JNICALL | Java_hdf_hdflib_HDFLibrary_GRwriteimage (JNIEnv *env, jclass clss, jlong ri_id, jintArray start, jintArray stride, jintArray edge, jbyteArray data)
JNIEXPORT jboolean JNICALL | Java_hdf_hdflib_HDFLibrary_GRwritelut (JNIEnv *env, jclass clss, jlong pal_id, jint ncomp, jint data_type, jint interlace, jint num_entries, jbyteArray pal_data)
JNIEXPORT jboolean JNICALL | Java_hdf_hdflib_HDFLibrary_GRreadchunk (JNIEnv *env, jclass clss, jlong grid, jintArray origin, jbyteArray dat)
JNIEXPORT jboolean JNICALL | Java_hdf_hdflib_HDFLibrary_GRwritechunk (JNIEnv *env, jclass clss, jlong grid, jintArray origin, jbyteArray dat)

## Function Documentation

## ◆ Java_hdf_hdflib_HDFLibrary_GRattrinfo()

JNIEXPORT jboolean JNICALL Java_hdf_hdflib_HDFLibrary_GRattrinfo | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jlong | gr_id,
|  | jint | attr_index,
|  | jobjectArray | name,
|  | jintArray | argv )

## ◆ Java_hdf_hdflib_HDFLibrary_GRcreate()

JNIEXPORT jlong JNICALL Java_hdf_hdflib_HDFLibrary_GRcreate | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jlong | gr_id,
|  | jstring | name,
|  | jint | ncomp,
|  | jlong | data_type,
|  | jint | interlace_mode,
|  | jintArray | dim_sizes )

## ◆ Java_hdf_hdflib_HDFLibrary_GRend()

JNIEXPORT jboolean JNICALL Java_hdf_hdflib_HDFLibrary_GRend | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jlong | gr_id )

## ◆ Java_hdf_hdflib_HDFLibrary_GRendaccess()

JNIEXPORT jboolean JNICALL Java_hdf_hdflib_HDFLibrary_GRendaccess | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jlong | gr_id )

## ◆ Java_hdf_hdflib_HDFLibrary_GRfileinfo()

JNIEXPORT jboolean JNICALL Java_hdf_hdflib_HDFLibrary_GRfileinfo | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jlong | gr_id,
|  | jintArray | argv )

## ◆ Java_hdf_hdflib_HDFLibrary_GRfindattr()

JNIEXPORT jint JNICALL Java_hdf_hdflib_HDFLibrary_GRfindattr | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jlong | gr_id,
|  | jstring | attr_name )

## ◆ Java_hdf_hdflib_HDFLibrary_GRgetattr()

JNIEXPORT jboolean JNICALL Java_hdf_hdflib_HDFLibrary_GRgetattr | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jlong | gr_id,
|  | jint | attr_index,
|  | jbyteArray | values )

## ◆ Java_hdf_hdflib_HDFLibrary_GRgetchunkinfo()

JNIEXPORT jboolean JNICALL Java_hdf_hdflib_HDFLibrary_GRgetchunkinfo | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jlong | grsid,
|  | jobject | chunk_def,
|  | jintArray | cflags )

## ◆ Java_hdf_hdflib_HDFLibrary_GRgetcompinfo()

JNIEXPORT jboolean JNICALL Java_hdf_hdflib_HDFLibrary_GRgetcompinfo | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jlong | ri_id,
|  | jobject | c_info )

## ◆ Java_hdf_hdflib_HDFLibrary_GRgetcompress()

JNIEXPORT jboolean JNICALL Java_hdf_hdflib_HDFLibrary_GRgetcompress | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jlong | ri_id,
|  | jobject | c_info )

## ◆ Java_hdf_hdflib_HDFLibrary_GRgetiminfo()

JNIEXPORT jboolean JNICALL Java_hdf_hdflib_HDFLibrary_GRgetiminfo | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jlong | ri_id,
|  | jobjectArray | gr_name,
|  | jintArray | argv,
|  | jintArray | dim_sizes )

## ◆ Java_hdf_hdflib_HDFLibrary_GRgetlutid()

JNIEXPORT jlong JNICALL Java_hdf_hdflib_HDFLibrary_GRgetlutid | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jlong | gr_id,
|  | jint | index )

## ◆ Java_hdf_hdflib_HDFLibrary_GRgetlutinfo()

JNIEXPORT jboolean JNICALL Java_hdf_hdflib_HDFLibrary_GRgetlutinfo | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jlong | ri_id,
|  | jintArray | argv )

## ◆ Java_hdf_hdflib_HDFLibrary_GRgetnluts()

JNIEXPORT jint JNICALL Java_hdf_hdflib_HDFLibrary_GRgetnluts | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jlong | gr_id )

## ◆ Java_hdf_hdflib_HDFLibrary_GRidtoref()

JNIEXPORT jshort JNICALL Java_hdf_hdflib_HDFLibrary_GRidtoref | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jlong | gr_id )

## ◆ Java_hdf_hdflib_HDFLibrary_GRluttoref()

JNIEXPORT jshort JNICALL Java_hdf_hdflib_HDFLibrary_GRluttoref | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jlong | pal_id )

## ◆ Java_hdf_hdflib_HDFLibrary_GRnametoindex()

JNIEXPORT jint JNICALL Java_hdf_hdflib_HDFLibrary_GRnametoindex | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jlong | gr_id,
|  | jstring | gr_name )

## ◆ Java_hdf_hdflib_HDFLibrary_GRreadchunk()

JNIEXPORT jboolean JNICALL Java_hdf_hdflib_HDFLibrary_GRreadchunk | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jlong | grid,
|  | jintArray | origin,
|  | jbyteArray | dat )

## ◆ Java_hdf_hdflib_HDFLibrary_GRreadimage()

JNIEXPORT jboolean JNICALL Java_hdf_hdflib_HDFLibrary_GRreadimage | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jlong | ri_id,
|  | jintArray | start,
|  | jintArray | stride,
|  | jintArray | edge,
|  | jbyteArray | data )

## ◆ Java_hdf_hdflib_HDFLibrary_GRreadlut()

JNIEXPORT jboolean JNICALL Java_hdf_hdflib_HDFLibrary_GRreadlut | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jlong | pal_id,
|  | jbyteArray | pal_data )

## ◆ Java_hdf_hdflib_HDFLibrary_GRreftoindex()

JNIEXPORT jint JNICALL Java_hdf_hdflib_HDFLibrary_GRreftoindex | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jlong | gr_id,
|  | jshort | ref )

## ◆ Java_hdf_hdflib_HDFLibrary_GRreqimageil()

JNIEXPORT jboolean JNICALL Java_hdf_hdflib_HDFLibrary_GRreqimageil | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jlong | gr_id,
|  | jint | interlace_mode )

## ◆ Java_hdf_hdflib_HDFLibrary_GRreqlutil()

JNIEXPORT jboolean JNICALL Java_hdf_hdflib_HDFLibrary_GRreqlutil | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jlong | gr_id,
|  | jint | interlace_mode )

## ◆ Java_hdf_hdflib_HDFLibrary_GRselect()

JNIEXPORT jlong JNICALL Java_hdf_hdflib_HDFLibrary_GRselect | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jlong | gr_id,
|  | jint | index )

## ◆ Java_hdf_hdflib_HDFLibrary_GRsetattr__JLjava_lang_String_2JI_3B()

JNIEXPORT jboolean JNICALL Java_hdf_hdflib_HDFLibrary_GRsetattr__JLjava_lang_String_2JI_3B | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jlong | gr_id,
|  | jstring | attr_name,
|  | jlong | data_type,
|  | jint | count,
|  | jbyteArray | values )

## ◆ Java_hdf_hdflib_HDFLibrary_GRsetattr__JLjava_lang_String_2JILjava_lang_String_2()

JNIEXPORT jboolean JNICALL Java_hdf_hdflib_HDFLibrary_GRsetattr__JLjava_lang_String_2JILjava_lang_String_2 | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jlong | gr_id,
|  | jstring | attr_name,
|  | jlong | data_type,
|  | jint | count,
|  | jstring | values )

## ◆ Java_hdf_hdflib_HDFLibrary_GRsetchunk()

JNIEXPORT jboolean JNICALL Java_hdf_hdflib_HDFLibrary_GRsetchunk | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jlong | sdsid,
|  | jobject | chunk_def,
|  | jint | flags )

## ◆ Java_hdf_hdflib_HDFLibrary_GRsetchunkcache()

JNIEXPORT jint JNICALL Java_hdf_hdflib_HDFLibrary_GRsetchunkcache | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jlong | sdsid,
|  | jint | maxcache,
|  | jint | flags )

## ◆ Java_hdf_hdflib_HDFLibrary_GRsetcompress()

JNIEXPORT jboolean JNICALL Java_hdf_hdflib_HDFLibrary_GRsetcompress | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jlong | ri_id,
|  | jint | comp_type,
|  | jobject | c_info )

## ◆ Java_hdf_hdflib_HDFLibrary_GRsetexternalfile()

JNIEXPORT jboolean JNICALL Java_hdf_hdflib_HDFLibrary_GRsetexternalfile | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jlong | ri_id,
|  | jstring | filename,
|  | jint | offset )

## ◆ Java_hdf_hdflib_HDFLibrary_GRstart()

JNIEXPORT jlong JNICALL Java_hdf_hdflib_HDFLibrary_GRstart | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jlong | file_id )

## ◆ Java_hdf_hdflib_HDFLibrary_GRwritechunk()

JNIEXPORT jboolean JNICALL Java_hdf_hdflib_HDFLibrary_GRwritechunk | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jlong | grid,
|  | jintArray | origin,
|  | jbyteArray | dat )

## ◆ Java_hdf_hdflib_HDFLibrary_GRwriteimage()

JNIEXPORT jboolean JNICALL Java_hdf_hdflib_HDFLibrary_GRwriteimage | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jlong | ri_id,
|  | jintArray | start,
|  | jintArray | stride,
|  | jintArray | edge,
|  | jbyteArray | data )

## ◆ Java_hdf_hdflib_HDFLibrary_GRwritelut()

JNIEXPORT jboolean JNICALL Java_hdf_hdflib_HDFLibrary_GRwritelut | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jlong | pal_id,
|  | jint | ncomp,
|  | jint | data_type,
|  | jint | interlace,
|  | jint | num_entries,
|  | jbyteArray | pal_data )